<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The env-entry-name element contains the name of a          Deployment Component's environment entry.  The name          is a JNDI name relative to the java:comp/env          context.  The name must be unique within a          Deployment Component. The uniqueness          constraints must be defined within the declared          context.            Example:             env-entry-name minAmount /env-entry-name ">
<meta name="KeyWords" content="Security,Class Diagram Security,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;Diagram:&nbsp;common&nbsp;/&nbsp;Security</b></font></p>
<MAP NAME="mymap">
<AREA Shape="Polygon" coords = "128,649,128,706,199,706,199,649" HREF="class39bf2c9002f0.htm">
<AREA Shape="Polygon" coords = "49,325,49,463,216,463,216,325" HREF="../cat3780e272032d/class3780e71a010a.htm">
<AREA Shape="Polygon" coords = "407,404,407,558,657,558,657,404" HREF="../cat38c076d603dd/class38c079140251.htm">
<AREA Shape="Polygon" coords = "216,503,216,561,336,561,336,503" HREF="class39bf2c040245.htm">
<AREA Shape="Polygon" coords = "182,646,250,558,256,563,188,651" HREF="inh39bf2d0a007f.htm">
<AREA Shape="Polygon" coords = "243,505,202,465,207,460,248,500" HREF="../../looseends/ass39bf2c1f018f.htm">
<AREA Shape="Polygon" coords = "47,63,47,151,167,151,167,63" HREF="class371bc7a0025c.htm">
<AREA Shape="Polygon" coords = "447,60,447,133,566,133,566,60" HREF="class38c031fe012d.htm">
<AREA Shape="Polygon" coords = "447,93,167,93,167,86,446,86" HREF="../../looseends/ass3904632a005c.htm">
<AREA Shape="Polygon" coords = "283,661,283,700,433,700,433,661" HREF="class39bf2c9e02c8.htm">
<AREA Shape="Polygon" coords = "372,658,461,555,467,560,378,663" HREF="../../looseends/ass39982a2e0255.htm">
<AREA Shape="Polygon" coords = "343,662,288,562,295,559,350,658" HREF="inh39bf2d0f0130.htm">
<AREA Shape="Polygon" coords = "314,245,314,318,402,318,402,245" HREF="class3e4a98d602e0.htm">
<AREA Shape="Polygon" coords = "281,502,341,316,349,319,288,504" HREF="../../looseends/ass3e5679fe0087.htm">
<AREA Shape="Polygon" coords = "124,151,124,274,0,0,314,274,314,281,0,0,116,281,117,151" HREF="../../looseends/ass3e53ed900289.htm">
<AREA Shape="Polygon" coords = "402,255,519,255,0,0,519,133,526,133,0,0,526,263,402,263" HREF="../../looseends/ass3e4d26dc03e6.htm">
<AREA Shape="Polygon" coords = "562,639,562,712,737,712,737,639" HREF="class39bf2da40058.htm">
<AREA Shape="Polygon" coords = "562,680,433,682,433,675,561,673" HREF="../../looseends/ass39bf2db5023d.htm">
<AREA Shape="Polygon" coords = "675,639,0,0,675,318,402,318,402,310,682,310,0,0,682,639" HREF="../../looseends/ass3e95ca660065.htm">
</MAP>
<IMG SRC="dgm3b7951f8018d.jpg" USEMAP="#mymap" BORDER=0>
</body>
</html>
